Create an auto-discovery invocation
POST/v1/ai/entities-auto-discovery
This route allows you to create an auto-discovery invocation.
To learn more about the auto-discovery feature, see the documentation.
Request
Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"blueprintIdentifier": {
"type": "string",
"description": "The identifier of the blueprint to discover entities for."
},
"excludedBlueprintIdentifiers": {
"description": "The identifiers of the related blueprints to exclude from the discovery context.",
"type": "array",
"items": {
"type": "string"
}
},
"description": {
"description": "Additional information to guide the auto-discovery search. For example, you can provide a clue that service names end with `_service`.",
"type": "string"
},
"autoApprove": {
"default": false,
"description": "When true, automatically accepts all suggestions without requiring manual review. If some suggestions fail to be ingested but at least one succeeds, the invocation is marked completed. If all suggestions fail to ingest, the invocation is marked failed.",
"type": "boolean"
},
"waitForEntities": {
"default": false,
"description": "When true, the invocation is in a `waiting` state until either enough entities have been ingested into the related blueprints, or a safety timeout elapses. Thresholds (count and timeout) are configured on the server, not per-request.",
"type": "boolean"
}
},
"required": [
"blueprintIdentifier"
]
}
}
},
"required": true
}
}Responses
- 200
- 409
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"invocationId": {
"type": "string"
}
},
"required": [
"ok",
"invocationId"
],
"additionalProperties": false
}
}
}
},
"409": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}